# Generated from timeless-0.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name timeless

Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Summary: Timeless is a simple but effective command-line time tracker
License: MIT
URL: https://www.ict4g.net/gitea/adolfo/timeless
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Timeless comes with a pomodoro timer, with a standard stopwatch (start, top),
semantic tags in notes (projects, clients, activites), and reporting and
exporting command.  Data is stored in csv and it can be easily imported into a
spreadsheet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/timeless
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/elisp
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.org
%{gem_instdir}/Rakefile
%{gem_instdir}/timeless.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.6.0-1
- Initial package
